@extends('frame') 

@section('title', 'The Bad Space | Location Info')

  @section('main-content')
    @parent
    <section>
      <article>
        <h2>Public Comments</h2>
        @foreach($comments as $comment)
          @if($comment != " " && $comment != '')
            {{trim($comment)}}<br /><br />
          @endif
        @endforeach
        <h2>Notes</h2>
        {{$location->notes}}
        <h2>References</h2>
        <h3>Images</h3>
        @if($images != null)
          @foreach($images as $image)
            <a href="{{$image->path}}" class="location-image" style="background: url({{$image->path}}) no-repeat center center / cover #fc6399" />
            </a>
          @endforeach
        @endif
        @php
          $action = $location->block_count + $location->silence_count;
          $rating = floor(($action / $sources_count)*100);
        @endphp
        <h3>Links</h3>
        @foreach($links as $link)
          <a href="{{$link}}">{{$link}}</a><br />
        @endforeach
        <div class="location-rating">
          <div>
            <img class="rating-icon" src="/assets/images/global/heat.svg" title="heat-rating" />
            <span>RATING: {{$rating}}%</span>
          </div>
          <div>
            <img class="rating-icon" src="/assets/images/global/status-silence.svg" title="silenced" />
            <span>SILENCED: {{$location->silence_count}}</span>
          </div>
          <div>
            <img class="rating-icon" src="/assets/images/global/status-suspend.svg" title="suspended" />
            <span>SUSPENDED: {{$location->block_count}}</span>
          </div>
        </div>


        @if($edit)
          <hr />
          <a href="/den/location/edit/{{$location->uuid}}">Edit {{$location->name}}</a>
          <hr />
        @endif



        <br />
        Heat Rating is the percentage of <a href="/about#how">Current Sources</a> that have taken action against an instance. The higher the number of Sources that have silenced and/or suspended an instance, the higher the Heat Rating.
        <br />
        <br />UPDATED : {{$updated}}
        <br />
        <br />

      </article>
    </section>
  @endsection